PPTEMPLATE(1)

NAME
$module - new PDL module to clutter up CPAN

SYNOPSIS
  use $module;
  # FILL THIS IN

DESCRIPTION
This will change the world.

NAME
pptemplate - script to generate Makefile.PL and PP file skeleton

SYNOPSIS
  # generate Makefile.PL and mymodule.pd in PDL-MyModule
  pptemplate PDL::MyModule;

DESCRIPTION
The pptemplate script is the easiest way to start a new module for PDL that contains PP code (see also PDL::PP). The usage is simply

  pptemplate modulename;

As a result pptemplate will generate a perl Makefile for the new module (Makefile.PL) that contains the minimal structure to generate a module from PP code and also a skeleton file for your new module.

The file will be called mymod.pd if you called "pptemplate" as

  pptemplate PDL::CleverAlgs::Mymod;

I suppose you can work out the naming rule ";)". If not resort to experimentation or the source code.

"pptemplate" will stop if the directory to be created already exists, to avoid accidents. Move it out of the way if you really want to scrap it.

As of 2.096, the "internal mode" of this script has been removed, and it creates the files using the new "deep mode". This is because the earlier practice of incorporating vast numbers of modules into the main PDL distribution has been rethought due to the problems it causes. Use this script to make it easy to create new CPAN-distributed PDL modules.

BUGS
Feedback and bug reports are welcome.

COPYRIGHT
Copyright (c) 2001, Christian Soeller. All Rights Reserved. This module is free software. It may be used, redistributed and/or modified under the same terms as PDL itself (see <http://pdl.perl.org>).